# Set permissions

set_perm_recursive $MODPATH 0 0 0755 0644
set_perm_recursive $MODPATH/preload 0 0 0755 0755
set_perm_recursive $MODPATH/vendor 0 0 0755 0755
set_perm_recursive $MODPATH/system 0 0 0755 0755

find $MODPATH/* -maxdepth 0 \
    ! -name 'module.prop' \
    ! -name 'post-fs-data.sh' \
    ! -name 'service.sh' \
    ! -name 'sepolicy.rule' \
    ! -name 'system.prop' \
    ! -name 'uninstall.sh' \
    ! -name 'system' \
    ! -name 'preload' \
    -exec rm -rf {} \;

# Check rewrite directory
if [ ! -e /storage/emulated/0/APreload ]; then
  mkdir /storage/emulated/0/APreload
fi

# Check applist file
if [ ! -e /storage/emulated/0/APreload/applist_perf.txt ]; then
  cp -f $MODPATH/preload/applist_perf.txt /storage/emulated/0/APreload
fi

nohup am start -a android.intent.action.VIEW -d https://t.me/mtkvestg99 >/dev/null 2>&1 &
